//
//  NSAlert-NisusAdditions.h
//  WriterMerged
//
//  Created by Martin on 2009.01.15.
//  Copyright 2009 Nisus Software, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define NSAlertButtonReturn_INVALID (NSAlertThirdButtonReturn + 99)


@interface NSAlert (NisusAdditions)

+ (CGFloat) maximumHeightForAlertOnScreen:(NSScreen*)screen ;

// showing the alert
- (NSInteger) showModalNisus ;
- (void) showWithWindowNisus:(NSWindow*)win didEndBlock:(void(^)(NSInteger returnCode))block ;

// controls
- (NSButton*) buttonWithReturnCodeNisus:(NSInteger)tag ;

@end




/**************************************************************************************************************
 * Helpers for easily showing alerts as a sheet
 **************************************************************************************************************/

@interface NSWindowController (NisusCoreAlert)
- (NSWindow*) windowForSheet ;
@end

@interface NSWindow (NisusCoreAlert)
- (NSWindow*) windowForSheet ;
@end

@interface NSView (NisusCoreAlert)
- (NSWindow*) windowForSheet ;
@end

