//
//  NSDictionary+NisusCorePlist.h
//  NisusCore
//
//  Created by Martin on 2015.02.16.
//  Copyright (c) 2015 Nisus. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSDictionary (NisusCorePlist)

- (NSString*) plistStringNisusForKey:(NSString*)key ;
- (BOOL) plistBoolNisusForKey:(NSString*)key defaultValue:(BOOL)defaultValue ;
- (id) plistObjectNisusForKey:(NSString*)key assumingClass:(Class)assumeClass ;
- (id) plistObjectNisusForKey:(NSString*)key assumingNotNilClass:(Class)assumeClass error:(NSError**)errorPtr ;

- (id) plistObjectNisusForKey:(NSString*)key assumingClass:(Class)assumeClass nilPlaceholder:(id)nilValue error:(NSError**)errorPtr ;
- (NSArray*) plistArrayNisusForKey:(NSString*)key error:(NSError**)errorPtr ;
- (NSArray*) plistArrayNisusForKey:(NSString*)key assumingValueClass:(Class)valueClass error:(NSError**)errorPtr ;
- (NSDictionary*) plistDictionaryNisusForKey:(NSString*)key error:(NSError**)errorPtr ;

// file I/O
+ (NSDictionary*) dictionaryWithPlistLoadedFromURL:(NSURL*)fileURL error:(NSError**)errorPtr ;
- (BOOL) writePlistToURL:(NSURL*)fileURL option:(NSDataWritingOptions)writeOps error:(NSError**)errorPtr ;

@end



