//
//  NSMutableData+NisusAdditions.h
//  WriterMerged
//
//  Created by Martin on 2011.09.09.
//  Copyright 2011 Nisus. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSMutableData (NisusAdditions)

// growing without throwing exceptions
- (BOOL) appendDataEnsured:(NSData*)data ;
- (BOOL) appendBytesEnsured:(const void*)bytes length:(NSUInteger)addLen ;
- (BOOL) ensureCanIncreaseLengthBy:(NSUInteger)addLen ;

@end
