//
//  NSMutableDictionary-NisusAdditions.h
//  Toolbox
//
//  Created by Martin on Fri Jul 25 2003.
//  Copyright (c) 2003 Nisus Software, Inc.. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSMutableDictionary (NisusAdditions)

- (void) setObjectNisusOrRemoveNil:(id)value forKey:(NSString*)key ;

- (void) setBool:(BOOL)value forKey:(id)key ;
- (void) setInt:(NSInteger)value forKey:(id)key ;
- (void) setFloat:(float)value forKey:(id)key ;
- (void) setDouble:(double)value forKey:(id)key ;

- (void) addObjectsFromDictionary:(NSDictionary*)other forKeys:(NSSet*)keys ;
- (void) removeObjectsForKeysInSet:(NSSet*)keys ;

@end
