//
//  NSSavePanel+NisusCore.h
//  NisusCore
//
//  Created by Martin on 2015.06.18.
//  Copyright (c) 2015 Nisus. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSSavePanel (NisusCore)

+ (NSSavePanel*) savePanelNisus ;
+ (void) schedulePanelCleanupNisus:(NSSavePanel*)panel ;

+ (void) showPanelNisus:(NSSavePanel*)panel forWindow:(NSWindow*)win didEndBlock:(void(^)(NSInteger choice))block ;
+ (void) showPanelNisus:(NSSavePanel*)panel forWindow:(NSWindow*)win forceSelectedFolderURL:(NSURL*)folderURL didEndBlock:(void(^)(NSInteger choice))block ;

@end




@interface NSOpenPanel (NisusCore)

+ (NSOpenPanel*) openPanelNisus ;
+ (NSOpenPanel*) chooseFolderPanelNisus ;

@end

