//
//  NisusCore.h
//  NisusCore
//
//  Created by Martin Wierschin on 2013.08.28.
//  Copyright (c) 2013 Nisus. All rights reserved.
//
// The NisusCore framework is intended to be general purpose for reuse in all Nisus products.
//
// This is the public header that exposes NisusCore APIs that are often used.
// Other headers can be included as needed.

#import <NisusCore/NisusDefines.h>
#import <NisusCore/NisusIvars.h>
#import <NisusCore/NisusIvarsWeak.h>

#import <NisusCore/NisusAssertions.h>
#import <NisusCore/NisusExceptionHandler.h>
#import <NisusCore/NisusUtil.h>
#import <NisusCore/NisusLocalization.h>
#import <NisusCore/NisusLogging.h>

// Cocoa Ext
#import <NisusCore/NSAlert+NisusCore.h>
#import <NisusCore/NSArray+NisusCore.h>
#import <NisusCore/NSDictionary+NisusCore.h>
#import <NisusCore/NSError+NisusCore.h>
#import <NisusCore/NSMutableDictionary+NisusCore.h>
#import <NisusCore/NSSavePanel+NisusCore.h>
#import <NisusCore/NSSet+NisusCore.h>
#import <NisusCore/NSString+NisusCore.h>
#import <NisusCore/NSURL+NisusCore.h>
#import <NisusCore/NSUserDefaults+NisusCore.h>

