//
//  NisusCore.h
//  NisusCore
//
//  Created by Martin Wierschin on 2013.08.28.
//  Copyright (c) 2013 Nisus. All rights reserved.
//
// Header that #defines some basic things.
// This .h and .m also ensure that several build settings are defined as expected.





// These are defines controlled through the build settings.
// NISUS_DEBUG			Boolean. True for debug builds.
// NISUS_DEV_BUILD		Boolean. True for developer builds (eg: not to be released to public or beta testers).
// NISUS_APPLE_STORE	Boolean. True if build will be distributed via Mac App Store, instead of directly.





// inlining is only desirable when not debugging
#if NISUS_DEBUG
	#define NISUS_INLINE
#else
	#define NISUS_INLINE inline
#endif


