//
//  NisusFileSizeFormatter.h
//  WriterMerged
//
//  Created by Martin on 2008.12.18.
//  Copyright 2008 Nisus Software, Inc. All rights reserved.
//
// For editing file sizes like "5 K" or "3 MB". Currently rounds fractional numbers (eg: unit granularity), where
// units can be kilobytes, megabytes, or gigabytes.

#import <Cocoa/Cocoa.h>


@interface NisusFileSizeFormatter : NSFormatter 

+ (NisusFileSizeFormatter*) fileSizeFormatter ;
+ (NSString*) localizedStringForFileSize:(NSNumber*)numObj ;
+ (NSString*) localizedStringForByteCount:(NSNumber*)numObj ;

+ (void) stepUpFileSizeInTextField:(NSTextField*)field ;
+ (void) stepDownFileSizeInTextField:(NSTextField*)field ;

@end
