//
//  THWordNetEntry.h
//  Thesaurus
//
//  Created by Martin on Fri Apr 18 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
@class WordNetManager;
@class THWordNetSynset;

@interface THWordNetEntry : NSObject <NSCopying> {
    WordNetManager* _wordNet;
    NSString* _word;
    NSArray* _synsetNumbers;
    NSString* _desc;
}

+ (THWordNetEntry*) entryForWord:(NSString*)word ;
+ (THWordNetEntry*) entryForSynset:(NSNumber*)synset ;
+ (THWordNetEntry*) blankEntryWithWord:(NSString*)word ;

- (id) initWithWord:(NSString*)word ;

// accessors
- (NSString*) word ;
- (void) setWord:(NSString*)word ;

- (NSInteger) synsetCount ;
- (THWordNetSynset*) synset:(NSInteger)index ;

- (void) setDescription:(NSString*)desc ;

@end
