//
//  NSCache+NisusCore.h
//  NisusCore
//
//  Created by Martin on 2017.04.05.
//  Copyright © 2017 Nisus. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSCache (NisusCore)

+ (instancetype) newStaticCacheNisusWithName:(NSString*)name ;

@end



#define NSCache_MAKE_STATIC_STORAGE( staticVar, debugName )				\
	static NSCache* staticVar;											\
	static dispatch_once_t onceToken;									\
	dispatch_once(&onceToken, ^{										\
		staticVar = [NSCache newStaticCacheNisusWithName:debugName];	\
	});

