//
//  NSDateFormatter+NisusCore.h
//  NisusCore
//
//  Created by Martin on 2017.01.25.
//  Copyright © 2017 Nisus. All rights reserved.
//

#import <Foundation/Foundation.h>


// Date & time lengths. Used in tags, so should not change.
typedef enum {
	NisusDateTimeVerbosity_Short = 0,
	NisusDateTimeVerbosity_Medium = 1,
	NisusDateTimeVerbosity_Long = 2,
	NisusDateTimeVerbosity_Full = 3,
} NisusDateTimeVerbosity;
#define NisusDateTimeVerbosity_MIN (0)
#define NisusDateTimeVerbosity_MAX (3)




@interface NSDateFormatter (NisusCore)

+ (NSDateFormatter*) timeFormatterForLengthNisus:(NisusDateTimeVerbosity)type ;
+ (NSDateFormatter*) dateFormatterForLengthNisus:(NisusDateTimeVerbosity)type ;
+ (NSDateFormatter*) dateTimeFormatterForLengthNisus:(NisusDateTimeVerbosity)type ;

@end

