//
//  NSFileManager+NisusCoreArchives.h
//  NisusCore
//
//  Created by Martin on 2013.11.08.
//  Copyright (c) 2013 Nisus. All rights reserved.
//

#import <Foundation/Foundation.h>



@interface NSFileManager (NisusCoreArchives)

- (NSURL*) archiveToTempFileForFileAtPath:(NSString*)path ;
- (NSURL*) archiveFilePaths:(NSArray*)sourcePaths toArchiveAtURL:(NSURL*)desiredOutputURL error:(NSError**)errorPtr ;
- (BOOL) unarchiveFileAtURL:(NSURL*)archiveURL toDirectoryAtURL:(NSURL*)destURL ;

@end
