//
//  NisusMutableNumber.h
//  InfoClick
//
//  Created by Martin Wierschin on 2013.04.15.
//  Copyright (c) 2013 Nisus. All rights reserved.
//
// Mutable wrapper for some primitive types.

#import <Foundation/Foundation.h>



@interface NisusMutableNumber : NSNumber  <NSCopying, NSMutableCopying>

- (void) resetToZero ;
- (void) setIntValue:(int)newValue ;
- (void) setIntegerValue:(NSInteger)newValue ;
- (void) setDoubleValue:(double)newValue ;

- (NSInteger) increment ;
- (NSInteger) incrementByNumber:(NSNumber*)numObj ;
- (NSInteger) decrement ;
- (NSInteger) decrementByNumber:(NSNumber*)numObj ;

@end

