//
//  NisusRangeArray.h
//  WriterMerged
//
//  Created by Martin Wierschin on 2005.12.02.
//  Copyright 2005 Nisus Software, Inc. All rights reserved.

// Maintains an array of ranges in a more efficient manor.

#import <Cocoa/Cocoa.h>

#import <NisusCore/NSArray+NisusRanges.h>


@interface NisusMutableRangeArray : NSMutableArray {
	NSRange* _data;
	NSUInteger _count;
	NSUInteger _capacity;
}

- (id) initWithRange:(NSRange)rng ;

- (void) insertRangesFromArray:(NSArray*)insertRanges atIndex:(NSUInteger)insertIndex ;

- (void) normalizeRanges ;

@end




@interface NisusRangeArray : NisusMutableRangeArray
@end


