//
//  NTWeakTargetTimer.h
//  WriterMerged
//
//  Created by Martin Wierschin on 2013.05.02.
//  Copyright (c) 2013 __MyCompanyName__. All rights reserved.
//
// Can be used in place of NSTimer, but does not retain the target.

#import <Foundation/Foundation.h>


@interface NisusWeakTargetTimer : NSObject {
	NSTimer* _timer;
	id NISUS_WEAK_IVAR_DECLARE(_target);
	SEL _targetSelector;
}

+ (instancetype) newScheduledTimerWithTimeInterval:(NSTimeInterval)seconds target:(id)target selector:(SEL)action repeats:(BOOL)isRepeat ;

- (void) invalidate ;

@end

