//
//  NisusLocalization+NisusCorePrivate.h
//  NisusCore
//
//  Created by Martin on 2013.10.10.
//  Copyright (c) 2013 Nisus. All rights reserved.
//
// This defines some utilities that are only useful for localization within NisusCore.
// ie: these should not be used outside of framework code.


#import "NisusLocalization.h"


extern NSBundle* NisusCoreBundle();


#define NisusCoreLocalize(str)								(NisusLocalizeInBundle( (str), NisusCoreBundle() ))
#define NisusCoreLocalizeFormat( formatStr, args... )		[NSString stringWithFormat:NisusCoreLocalize(formatStr), ## args]


